# Introduction

The Singular REST API v2 allows you to programmatically send and receive data and trigger animations from Singular overlays.

To help you quickly understand and learn how to use the API, this section of the documentation includes the following sections:

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><a href="/pages/kKyi6XhocLxM0MUMMXX6"><strong>Rates limits</strong></a></td><td>Learn about the API's daily and burst rate limits.</td><td>→ <a href="/pages/kKyi6XhocLxM0MUMMXX6">Check the rate limits</a></td></tr><tr><td><a href="/pages/nwfDDLwIWmyE8US7McFk"><strong>Authorization</strong></a></td><td>Get the REST API's authorization details.</td><td>→ <a href="/pages/nwfDDLwIWmyE8US7McFk">See how it's authorized</a></td></tr><tr><td><a href="/pages/Eht7MgOQlfw6ywPwJt9z"><strong>How-to guides</strong></a></td><td>See how to accomplish basic tasks with the API.</td><td>→ <a href="/pages/J7VCkPUCS3YiwQ3XJLJ4">Learn to use the API</a></td></tr><tr><td><a href="/pages/Xrppy3CNrWxrwsvWwPKz"><strong>API Reference</strong></a></td><td>Look up the details you need to make a request.</td><td>→ <a href="/pages/Xrppy3CNrWxrwsvWwPKz">Check the reference</a></td></tr><tr><td><a href="https://documenter.getpostman.com/view/2177855/2s83zcTSu6"><strong>Postman collection</strong></a></td><td>Try the Singular REST API v2 collection on Postman.</td><td>→ <a href="https://api.singular.live/">Visit the API collection</a></td></tr></tbody></table>

{% hint style="info" %}
Read this documentation carefully—especially the section describing [rate limits](/rest-api/rate-limits.md).
{% endhint %}

### Additional endpoints

If you plan to integrate Singular into your platform, [let us know](/support/support-resources.md#integration-support). We provide additional REST endpoints for Singular Integration Partners.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.singular.live/rest-api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
